# cPyreals Class Reference

Inheritance diagram for cPyreals:

List of all members.

## Public Member Functions

| cPyreals (DWORD dwGUID, cLocation &Loc, DWORD dwModel, WORD wIcon, std::string strName, std::string strDescription, DWORD dwValue, WORD wStack, WORD wStackLimit)
| cPyreals (DWORD dwGUID, DWORD dwContainer, DWORD dwModel, WORD wIcon, std::string strName, std::string strDescription, DWORD dwValue, WORD wStack, WORD wStackLimit)
cMessage | CreatePacket ()
cMessage | CreatePacketContainer (DWORD Container, DWORD ItemModelID)
void | Assess (cClient *pcAssesser)
void | Action (cClient *who)
void | Stack (cClient *who, DWORD item1, DWORD item2, DWORD amount)
void | Split (cClient *who, DWORD item_guid, DWORD slot, DWORD value)
DWORD | GetItemModelID ()
DWORD | GetContainerID ()
WORD | GetStack ()
WORD | SetStack (WORD amount)

## Public Attributes

DWORD | m_dwItemModelID

## Protected Attributes

WORD | m_wStack
WORD | m_wStackLimit
DWORD | m_dwWeight
DWORD | m_dwValue
BOOL | m_fIsStackable
BOOL | m_fEquippable
BOOL | m_fIsSolid
std::string | m_strDescription

## Constructor & Destructor Documentation

cPyreals::cPyreals | ( | DWORD | dwGUID,
|  | cLocation & | Loc,
|  | DWORD | dwModel,
|  | WORD | wIcon,
|  | std::string | strName,
|  | std::string | strDescription,
|  | DWORD | dwValue,
|  | WORD | wStack,
|  | WORD | wStackLimit |
| ) |  |  | `[inline]`

A constructor.

Called whenever a pyreal object is initialized in the world.

cPyreals::cPyreals | ( | DWORD | dwGUID,
|  | DWORD | dwContainer,
|  | DWORD | dwModel,
|  | WORD | wIcon,
|  | std::string | strName,
|  | std::string | strDescription,
|  | DWORD | dwValue,
|  | WORD | wStack,
|  | WORD | wStackLimit |
| ) |  |  | `[inline]`

A constructor.

Called whenever a pyreal object is initialized in a container.

## Member Function Documentation

void cPyreals::Action | ( | cClient * | who | ) | `[virtual]`

Handles the actions of pyreal objects.

This function is called whenever a pyreal is used or should perform an action.

Implements cObject.

void cPyreals::Assess | ( | cClient * | pcAssesser | ) | `[virtual]`

Handles the assessment of jewelry objects.

This function is called whenever jewelry is assessed by a client.

Returns a Game Event (0x0000F7B0) server message of type Identify Object (0x000000C9).

Reimplemented from cObject.

cMessage cPyreals::CreatePacket | ( |  | ) | `[virtual]`

Handles the message sent for the creation of pyreals in the world.

This function is called whenever a pyreal (or group/stack of pyreals) should be created in the world for a client.

Returns:
  cMessage - Returns a Create Object (0x0000F745) server message.

Implements cObject.

cMessage cPyreals::CreatePacketContainer | ( | DWORD | Container,
|  | DWORD | ItemModelID |
| ) |  |  |

Handles the message sent for the creation of pyreals in a container.

This function is called whenever a pyreal (or group/stack of pyreals) should be created in the inventory of another object.

Returns:
  cMessage - Returns a Create Object (0x0000F745) server message.

void cPyreals::Split | ( | cClient * | who,
|  | DWORD | item_guid,
|  | DWORD | slot,
|  | DWORD | value |
| ) |  |  |

Handles the splitting of pyreal objects.

This function is called whenever pyreals are split (one pyreal or group of pyreals removed from or split with its group).

void cPyreals::Stack | ( | cClient * | who,
|  | DWORD | item1,
|  | DWORD | item2,
|  | DWORD | amount |
| ) |  |  |

Handles the stacking of pyreal objects.

This function is called whenever pyreals are stacked (one pyreal or group of pyreals added or stacked to another).

The documentation for this class was generated from the following files:

- E:/uas2/Server/Object.h
- E:/uas2/Server/cPyreals.cpp